summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTristan Heaven <nyhm@gentoo.org>2009-09-30 23:40:17 +0000
committerTristan Heaven <nyhm@gentoo.org>2009-09-30 23:40:17 +0000
commitf2c4667a1d17f696cafa15a52966a679dfb68c75 (patch)
treebe710a3b5928228da8fffd57a3e95967da52e990 /eclass/games-mods.eclass
parentVersion bump (diff)
downloadgentoo-2-f2c4667a1d17f696cafa15a52966a679dfb68c75.tar.gz
gentoo-2-f2c4667a1d17f696cafa15a52966a679dfb68c75.tar.bz2
gentoo-2-f2c4667a1d17f696cafa15a52966a679dfb68c75.zip
Add RDEPENDs for each GAME
Diffstat (limited to 'eclass/games-mods.eclass')
-rw-r--r--eclass/games-mods.eclass11
1 files changed, 8 insertions, 3 deletions
diff --git a/eclass/games-mods.eclass b/eclass/games-mods.eclass
index 7e5bb0b8c0cf..833739c66b6a 100644
--- a/eclass/games-mods.eclass
+++ b/eclass/games-mods.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2006 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/games-mods.eclass,v 1.20 2009/09/30 20:27:48 nyhm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/games-mods.eclass,v 1.21 2009/09/30 23:40:17 nyhm Exp $
# Variables to specify in an ebuild which uses this eclass:
# GAME - (doom3, quake4 or ut2004, etc), unless ${PN} starts with e.g. "doom3-"
@@ -20,6 +20,7 @@ EXPORT_FUNCTIONS pkg_setup src_unpack src_install pkg_postinst
# Set our default title, icon, and cli options
case "${GAME}" in
"doom3")
+ RDEPEND="games-fps/doom3"
GAME_TITLE="Doom III"
DEFAULT_MOD_ICON="doom3"
SELECT_MOD="+set fs_game "
@@ -28,6 +29,7 @@ case "${GAME}" in
DED_OPTIONS="+set dedicated 1 +exec server.cfg"
;;
"enemy-territory")
+ RDEPEND="games-fps/enemy-territory"
GAME_TITLE="Enemy Territory"
DEFAULT_MOD_ICON="ET"
SELECT_MOD="+set fs_game "
@@ -36,6 +38,7 @@ case "${GAME}" in
DED_OPTIONS="+set dedicated 1 +exec server.cfg"
;;
"quake3")
+ RDEPEND="|| ( games-fps/quake3 games-fps/quake3-bin )"
GAME_TITLE="Quake III"
DEFAULT_MOD_ICON="quake3"
SELECT_MOD="+set fs_game "
@@ -44,6 +47,7 @@ case "${GAME}" in
DED_OPTIONS="+set dedicated 1 +exec server.cfg"
;;
"quake4")
+ RDEPEND="games-fps/quake4-bin"
GAME_TITLE="Quake IV"
DEFAULT_MOD_ICON="/usr/share/pixmaps/quake4.bmp"
SELECT_MOD="+set fs_game "
@@ -52,6 +56,7 @@ case "${GAME}" in
DED_OPTIONS="+set dedicated 1 +exec server.cfg"
;;
"ut2003")
+ RDEPEND="games-fps/ut2003"
GAME_TITLE="UT2003"
DEFAULT_MOD_ICON="ut2003"
SELECT_MOD="-mod="
@@ -60,6 +65,7 @@ case "${GAME}" in
DED_OPTIONS=""
;;
"ut2004")
+ RDEPEND="games-fps/ut2004"
GAME_TITLE="UT2004"
DEFAULT_MOD_ICON="ut2004"
SELECT_MOD="-mod="
@@ -83,7 +89,6 @@ IUSE="dedicated opengl"
RESTRICT="mirror strip"
DEPEND="app-arch/unzip"
-#RDEPEND="${CATEGORY}/${GAME}"
S=${WORKDIR}